Bug 98594 - CAN-2003-0190 OpenSSH valid username information leak
CAN-2003-0190 OpenSSH valid username information leak
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: openssh (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-04 07:16 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-29 03:27:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2003-07-04 07:16:21 EDT
When configured to allow password-based or challenge-response
authentication, sshd (the OpenSSH server) will use PAM to verify the user's
password.  Under certain conditions, sshd would reject an invalid
authentication attempt without attempting authentication using PAM.

If PAM is configured with its default failure delay, the amount of time
sshd would take to reject an invalid authentication request would vary
widely enough that the timing variations could be used to deduce whether or
not an account with a specified name existed on the server.  This
information could be used to narrow the focus of an attack against some
other component of the system.

Unmodified versions of OpenSSH versions prior to 3.6.1p1 are vulnerable to
this issue.

Updates RHSA-2003:224 will contain backported fixes which cause sshd to always
attempt PAM authentication when performing password and challenge-response
authentication for clients.
Comment 1 Mark J. Cox (Product Security) 2003-07-29 03:27:38 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-224.html

Note You need to log in before you can comment on or make changes to this bug.